package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.AkmData;
import org.apache.ibatis.annotations.Param;

/**
 * 安康码扫码地点Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-10
 */
public interface AkmDataMapper 
{
    /**
     * 查询安康码扫码地点
     * 
     * @param id 安康码扫码地点主键
     * @return 安康码扫码地点
     */
    public AkmData selectAkmDataById(Long id);

    /**
     * 查询安康码扫码地点列表
     * 
     * @param akmData 安康码扫码地点
     * @return 安康码扫码地点集合
     */
    public List<AkmData> selectAkmDataList(AkmData akmData);

    /**
     * 新增安康码扫码地点
     * 
     * @param akmData 安康码扫码地点
     * @return 结果
     */
    public int insertAkmData(AkmData akmData);

    /**
     * 修改安康码扫码地点
     * 
     * @param akmData 安康码扫码地点
     * @return 结果
     */
    public int updateAkmData(AkmData akmData);

    /**
     * 删除安康码扫码地点
     * 
     * @param id 安康码扫码地点主键
     * @return 结果
     */
    public int deleteAkmDataById(Long id);

    /**
     * 批量删除安康码扫码地点
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAkmDataByIds(Long[] ids);

    List<AkmData> selectAkmDataListByIdList(@Param("startTime") String startTime, @Param("endTime")String endTime, @Param("idCardList")List<String> idCardList);

    List<AkmData> selectAkmData65ListByIdList(@Param("startTime") String startTime, @Param("endTime")String endTime);

    AkmData selectAkmDataName(String idCard);
}
